ServiceEndpointReader (training-module-library 1.0.0-4.12.0-163223 API)
Date: 2018-07-19

org.gcube.portal.trainingmodule.database

## Class ServiceEndpointReader

- java.lang.Object
- - org.gcube.portal.trainingmodule.database.ServiceEndpointReader

-     public class ServiceEndpointReader
      extends Object

  The Class ServiceEndpointReader.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 9, 2018

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `logger` The Constant logger.
    `ServerParameters` | `serverParameters` The server parameters.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceEndpointReader(String scope, String resourceName)` Instantiates a new service endpoint reader.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResourceName()` Gets the resource name.
    `String` | `getScope()` Gets the scope.
    `ServerParameters` | `getServerParameters()` Gets the server parameters.
    `static void` | `main(String[] args)` The main method.
    `ServerParameters` | `readResource(boolean decrypt)` Read resource.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static final org.slf4j.Logger logger

      The Constant logger.

    - #### serverParameters

          public ServerParameters serverParameters

      The server parameters.

  - ### Constructor Detail

    - #### ServiceEndpointReader

          public ServiceEndpointReader(String scope,
                                       String resourceName)

      Instantiates a new service endpoint reader.
      Parameters:
        `scope` - the scope
        `resourceName` - the resource name

  - ### Method Detail

    - #### readResource

          public ServerParameters readResource(boolean decrypt)
                                        throws Exception

      Read resource.
      Parameters:
        `decrypt` - the decrypt
      Returns:
        the server parameters
      Throws:
        `Exception` - the exception

    - #### getResourceName

          public String getResourceName()

      Gets the resource name.
      Returns:
        the resource name

    - #### getScope

          public String getScope()

      Gets the scope.
      Returns:
        the scope

    - #### getServerParameters

          public ServerParameters getServerParameters()

      Gets the server parameters.
      Returns:
        the server parameters

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### main

          public static void main(String[] args)

      The main method.
      Parameters:
        `args` - the arguments

Copyright © 2018. All Rights Reserved.